%======================================================================
%                    / D A T A / L A D C P / C L I V A R / 2 0 2 2 _ P 0 2 W / L D E O _ I X / S E T _ C A S T _ P A R A M S . M 
%                    doc: Mon Apr 20 09:03:09 2015
%                    dlm: Thu May 11 13:50:21 2023
%                    (c) 2015 A.M. Thurnherr
%                    uE-Info: 10 0 NIL 0 0 72 2 2 4 NIL ofnI
%======================================================================

insufficient_backscatter_stns = ...
	[02302 02602 02801 03101 03401 03502 03601 03701 03802 03901 04003 04102 ...
	 04201 04301 04402 04501 04601 04702 05002 05101 05201 05302 05401 05501 ...
	 05602 05701 05801 05902 06001 06101 06202 06301 06401 06502 06601 06701 ...
	 06802 06901 07001 07201 07402 07601 07702 08602 08701 08902 09001 09101 ...
	 09202 09301 09401 09502 09601 09701 09802 10001 10201 10301 10402 10501 ...
	 10702 10801 10901 11002 11101 11201 11302 11401 11501 11602];

close all; figure(100);
more off;

%processing_version = 1;									% no SADCP
%processing_version = 2;									% no BT
%processing_version = 3;									% all constraints
%processing_version = 4;									% no SADCP, DL compass 	                          
%processing_version = 5;									% no BT, DL compass
%processing_version = 6;									% SADCP only
processing_version = 7;										% V3 or V6, depending on profile quality

final_version 		= 7;

f.res         = sprintf('V%d/%05d',processing_version,stn);
f.checkpoints = sprintf('./checkpoints/%05d',stn);

dfextn = '.PD0';

f.ladcpdo = sprintf('../Data/PD0/%05d_DL%s',stn,dfextn);
if stn ~= 2902
	f.ladcpup = sprintf('../Data/PD0/%05d_UL%s',stn,dfextn);
end

f.sadcp = '../Data/SADCP/SADCP.mat';

f.ctd = sprintf('../Data/CTD/6Hz/%05d.1Hz',stn);
    f.ctd_header_lines      = 50;
    f.ctd_fields_per_line   = 12;
    f.ctd_pressure_field    = 2;
    f.ctd_temperature_field = 3;
    f.ctd_salinity_field    = 6;
    f.ctd_time_field        = 1;
    f.ctd_time_base         = 0;

f.nav = f.ctd;              
    f.nav_header_lines      = f.ctd_header_lines;
    f.nav_fields_per_line   = f.ctd_fields_per_line;
    f.nav_time_field        = f.ctd_time_field;
    f.nav_lat_field         = 11;
    f.nav_lon_field         = 12;
    f.nav_time_base         = f.ctd_time_base;    
    
%----------------------------------------------------------------------

ps.fig3_colormap 	= 1;					% defaults
ps.fig3_err_y_axis 	= 1;
ps.sadcpfac			= 1;
ps.botfac			= 1;
ps.barofac			= 1;
p.saveplot	        = [1:6 9:11 12:14 1];	% first plot is sometimes not 01 (Matlab bug)
p.ctdmaxlag 		= 150;
p.getdepth 			= 2;
p.btrk_ts 			= 40;								% 30 is too little for 002 (this cruise???)
p.rotup2down		= 1;

if processing_version==1 || processing_version==4		% disable SADCP constraint for QC
	ps.sadcpfac 	= 0;
end

if processing_version==2 || processing_version==5		% disable BT constraint for QC
	ps.botfac 	= 0;
end

if processing_version==6 								% disable BT constraint for QC
	ps.botfac 	= 0;
	ps.barofac 	= 0;
end

if processing_version==4 || processing_version==5		% use DL compass for QC
	p.rotup2down = 3;
end

if processing_version==7								% use V3 or V6 depending on QC
	if ismember(stn,insufficient_backscatter_stns)
		p.edit_depths = [1500 9999];
		ps.botfac 	= 0;
		ps.barofac 	= 0;
	end
end

if processing_version == final_version		% make pdf plots (instead of ps)
	p.saveplot_pdf = [1:6 9:11 13:14 1];
	p.saveplot = [];
end

p.ladcp_station     = stn;
p.checkpoints       = [1]; 

p.cruise_id         = 'P2E';
p.whoami            = 'A.M. Thurnherr';
p.name              = sprintf('%s station #%d (V%d)',p.cruise_id,p.ladcp_station,processing_version);
